import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class AudioRecordService {
    private blobType;
    private readonly defaultBlobType;
    private chunks;
    protected recorderEnded: EventEmitter<any>;
    private recorder;
    private timerRef;
    private recordTimeSeconds;
    private _recordTimeDate;
    get recordTimeDate(): Date;
    private _onRecordingStatusChange;
    get onRecordingStatusChange(): import("rxjs").Observable<boolean>;
    private _onRecordStart;
    get onRecordStart(): import("rxjs").Observable<any>;
    private _onError;
    get onError(): import("rxjs").Observable<any>;
    get isRecording(): boolean;
    private _isRecording;
    private static guc;
    private maxFileSizeBytes;
    private currentFileSizeBytes;
    getUserContent(): Promise<MediaStream>;
    startRecording(dataUpdateTimeFrame: number, maxFileSizeInBytes: number, type?: string): void;
    stopRecording(): Promise<unknown>;
    private addListeners;
    private appendToChunks;
    private recordingStopped;
    private clear;
    private toggleRecordingStatus;
    private throwError;
    static ɵfac: i0.ɵɵFactoryDeclaration<AudioRecordService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AudioRecordService>;
}
